defineM("hrblock", function(g, mbrApp, tr) {
mbrApp.loadComponents(
  "hrblock",
  {"hrblock-block":{
      _group:"Horizontal Line",
      
      _onLoadFromProject : function(originalComponent){
            },
      
      hrColor:"border-color:#000;",
      hrShadowColor:"#000",
      hrThickness:"border-top-width:3px;",
      hrFullWidth:"min-width:0;",
      hrWidth:"width:100%;",
      hrStyle:"border-style:solid;",
      hrPaddingBlock:"padding-bottom:20px; padding-top:20px;",
      hrDrawStyle:"",

      _params:{
        group1: {type:'separator',title: 'Horizontal Line Generator'},
        group2: {type:'separator',title: 'Colour'},
        hrColor:{type:"color",title:"Line Color",default:"#000"},
        bgColor:{type:"color",title:"Background Color",default:"#fff"},
        group3: {type:'separator',title: 'Line Type'},
        hrStyleSolid:{type:"radio",title:"Solid Line",name:"hrstyle",default:!0},
		hrStyleRounded:{type:"range",title:"Radius (px)",min:0,max:10,step:1,name:"hrstyle",default:3},
        hrStyleDotted:{type:"radio",title:"Dotted Line",name:"hrstyle",default:!1},
        hrStyleDashed:{type:"radio",title:"Dashed Line",name:"hrstyle",default:!1},
		hrStyleDouble:{type:"radio",title:"Double Line",name:"hrstyle",default:!1},
        hrStyleShadow:{type:"radio",title:"Shadow Line",name:"hrstyle",default:!1},
		hrColorShadow:{type:"color",title:"Shadow Color",name:"hrstyle",default:"#000"},
        group4: {type:'separator',title: 'Dimensions'},
        hrThickness:{type:"range",title:"Thickness (px)",min:0,max:15,step:1,default:3},
        hrFullWidth:{type:"switch",title:"Fullscreen Width",default:false},
        hrWidth:{type:"range",title:"Width (%)",min:0,max:100,step:1,default:100,condition:["!hrFullWidth"]},
        hrPaddingBlock:{type:"range",title:"Padding (px)",min:0,max:80,step:10,default:10},
        
                
      },
      
      _onParamsShow: function(e,$params,$block) {
      },
          
      _onParamsChange:function(c,a,b){
        
        "hrFullWidth"==a&&b==true&&(
          this.hrFullWidth="min-width:100%;"
        );
        "hrFullWidth"==a&&b==false&&(
          this.hrFullWidth="min-width:0%;"
        );
        "hrWidth"==a&&(
          this.hrWidth="width:"+b+"%;"
        );
        "hrColor"==a&&(
		 this.hrColor="border-color:"+b+";"
        );
		"hrStyleSolid"==a&&(
          this.hrStyle="border-style:solid; border-radius: "+b+"px; "
        );
        "hrStyleRounded"==a&&(
          this.hrStyle="border-style:solid; border-radius: "+b+"px; "
        );
        "hrStyleDotted"==a&&(
          this.hrStyle="border-style:dotted;"
        );
        "hrStyleDashed"==a&&(
          this.hrStyle="border-style:dashed;"
        );
		"hrStyleDouble"==a&&(
		this.hrStyle="border-style:double;"
		);
		"hrStyleShadow"==a&&(
          this.hrStyle="box-shadow: 0 0px 10px 1px black;"
        );
        "hrColorShadow"==a&&(
          this.hrStyle="box-shadow: 0 0px 10px 1px "+b+";"
        );
        "hrThickness"==a&&(
          this.hrThickness="border-top-width:"+b+"px;"
        );
        "hrPaddingBlock"==a&&(
          this.hrPaddingBlock="padding-bottom:"+b+"px; padding-top:"+b+"px;"
        );
        this.hrDrawStyle=this.hrFullWidth+this.hrWidth+this.hrColor+this.hrStyle+this.hrThickness;
      },
      
      _styles: {
        'hr': {
          'margin': '0'
        }
      }
    }
  }
  );
}, ["jQuery", "mbrApp", "TR()"]);